Speech Synthesis
POST
/kling/v1/audio/ttsBody Parametersapplication/json
text* string
Script for synthesized audio; max length 1000; overly long text returns errors; system validates content
voice_id* string
voice ID multiple system voices available, see voice effect / ID / language mapping; voice preview does not support custom text preview file naming: name#id#language TTS currently supports official voices only, not custom voices
voice_language* string
Script for synthesized audio; max length 1000; overly long text returns errors; system validates content
voice_speed number
Speech rate 0.8–2.0, 1 decimal place; out-of-range values are rounded
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"text": "描述看到的画面",
3"voice_id": "genshin_vindi2",
4"voice_language": "zh",
5"voice_speed": 1
6}
1curl -X POST "https://api.digislash.com/kling/v1/audio/tts" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"text": "描述看到的画面",
6"voice_id": "genshin_vindi2",
7"voice_language": "zh",
8"voice_speed": 1
9}'
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}
